%MATLAB Script-File: ZUKRAI_176.m
%Integral-Zustands-Kraftregelung
TM=0.02; TES=0.0015; KS1=0.3; KS2=1; iG=0.02; cf=1.0E5;
AI=[0, cf*iG, 0, 0,                 %Systemmatrix der 
    -KS2*iG/TM, -1/TM, KS2/TM, 0,   %erweiterten 
    0, 0, -1/TES, 0,                %Regelstrecke
    -1, 0, 0, 0];
bI=[0; 0; KS1/TES; 0];              %Eingangsvektor
spz1=-100+j*600; spz2=-100-j*600;   %Vorgabepole
pole=[spz1, spz2, spz1, spz2];
rT=-acker(AI, bI, pole);            %Rckfhrkoeffizienten