%Zeitprozentmethode nach Schwarze, Testdaten
%t10 = 2.3; t50 = 4.2; t90 = 7.0;          % n =  6, T1 = 0.74172 s
%t10 = 15.383; t50 = 20.667; t90 = 27.045; % n = 21, T1 = 1 s
%t10 = 7.829; t50 = 11.668; t90 = 16.598;  % n = 12, T1 = 1 s
%xaoo = 2; xe0 = 1; % KP = 1
t10 = input ('Eingabe t10 = '); t50 = input ('Eingabe t50 = '); t90 = input ('Eingabe t90 = ');
xaoo = input ('Eingabe xa(t-> oo = '); xe0 = input ('Eingabe Sprunghhe xe0 = ');
n = 1; m10 = 10; m50 = 50; m90 = 90;
fprintf('\n n =     mue_n =     tau10 =     tau50 =     tau90 =\n');
tau10(n) = -log(1 - m10/100); tau50(n) = -log(1 - m50/100); tau90(n) = -log(1 - m90/100);
mue_n(n) = tau10(n)/tau90(n);
fprintf ('% 4d  %10.6f  %10.6f  %10.6f  %10.6f\n', n, mue_n(n), tau10(n),tau50(n),tau90(n));
for n=2:25 %Berechnung der tabellierten Zeitprozentkennwerte , mue_n, tau10, tau50, tau90
    tau10(n) = kennwert (n, m10); tau50(n) = kennwert (n, m50); tau90(n) = kennwert (n, m90);
    mue_n(n) = tau10(n)/tau90(n);
    fprintf ('%4d  %10.6f  %10.6f  %10.6f  %10.6f\n', n, mue_n(n), tau10(n),tau50(n),tau90(n));
end
n = 1; diff(n)  = abs (t10/t90 - mue_n(n)); 
while (1) %Suche nach dem passenden Verhltnis mue_n, |t10/t90 - mue_n| = Minimum
    n = n + 1; diff(n) = abs (t10/t90 - mue_n(n));
    if (diff(n) > diff(n-1)) break; end  
end
n = n - 1; T1 = (t10/tau10(n) + t50/tau50(n) + t90/tau90(n))/3;
fprintf ('\nt10/t90 = %7.6f, mue_n(%d) = %7.6f', t10/t90, n, mue_n(n));
fprintf ('\nProportionalverstrkung KP = %7.3f', xaoo/xe0);
fprintf ('\nOrdnung n = %d, Zeitkonstante T1 = %7.3f s\n', n, T1);
