%MATLAB Script-File ganzra_162.m
%Ganzrationale Funktionen
x=-10:0.1:10;
y1=10*x;         %lineare Funktion
y2=x.^2;         %quadratische Funktion
y3=0.1*x.^3;     %kubische Funktion
plot(x,y1,'g.')  %zeichnet Kurve mit grnen Punkten
hold on          %Graphik nicht berschreiben
plot(x,y2,'r-')  %zeichnet Kurve mit roten Strichen  
plot(x,y3,'b-.') %zeichnet Kurve mit blauen Strichen 
                 %und Punkten
hold off
grid             %kartesische Gitterlinien
title('\it{Ganzrationale Funktionen}') %Titel der Graphik
text(x(120),y1(150),'\it{y_{1}=10*x}') %Bezeichnung der Kurve
text(x(25),y2(17),'\it{y_{2}=x^2}')    %Bezeichnung der Kurve
gtext('\it{y_{3}=0.1*x^3}')   			%Bezeichnung der Kurve
text(-7,-70,'\leftarrow\it{y_{1}= -70}')
xlabel('\it{x}','Fontsize',10) 			%Beschriftung Abszisse
ylabel('\it{y = f(x)}')   				%Beschriftung Ordinate
legend('lineare Funktion',...			%Legende einfgen
   'quadratische Funktion',...
   'kubische Funktion')