%MATLAB Script-File strukt_168.m
%Signalflustrukturen mit Zustandsmodellen
A1=[0 1; -2 -3]; b1=[0; 4]; c1=[1 0]; d1=0; %System 1
sys1=ss(A1,b1,c1,d1);		%Zustandsmodell sys1
A2=[1 5; -6 -8]; b2=[0; 2]; c2=[1 0]; d2=0; %System 2
sys2=ss(A2,b2,c2,d2);		%Zustandsmodell sys2
[AS,bS,cS,dS]=ssdata(sys1*sys2) %Kettenstruktur
[AP,bP,cP,dP]=ssdata(sys1+sys2) %Parallelstruktur
%Kreisstruktur mit indirekter Gegenkopplung
%(Vorwrtszweig: System 1, Rckfhrzweig: System 2):
[AF,bF,cF,dF]=ssdata(feedback(sys1,sys2))
