%MATLAB Script-File zerspanung_opt_174.m
%Lageregelung mit Zerspanungsproze (steifes System)
rk=50;                   %Dmpfungskoeffizient
TM=0.05;                 %Mechanische Zeitkonstante
KV=20;                   %Geschwindigkeitsverstrkung
f1=(1+rk)/(2*TM);         
sp1=-f1+sqrt(f1^2-KV/TM);%Polstelle sp1 
sp2=-f1-sqrt(f1^2-KV/TM);%Polstelle sp2 
T=10;                    %Simulationszeit
t0=clock;                %Realzeit
options=simset('Solver','ode45');
sim('zerspanung1_174',T,options)
t1=etime(clock,t0)       %Rechenzeit
